#ifndef __IMAGE_H__
#define __IMAGE_H__

class Image {
    int npx;
    int npy;
    int npix;
    double *data;
 public:
    Image();			/* default constructor */
    Image(double* array, int n, int m);	/* constructor */
    Image(const Image &img);	/* copy constructor */
    ~Image();			/* destructor */
    int getNpx() const;
    int getNpy() const;
    int getNpix() const;
    void getNaxis(int *npx, int *npy);
    double getValue(int x, int y) const;
    Image& operator=(const Image& img);
};
#endif
