import pyfits
import Image

hdulist = pyfits.open('../data/SUPA00207569.fits')
data = hdulist[0].data
hdulist.close()

print "data shape : ", data.shape

img = Image.Image(data)

print "img.npx = %d img.npy = %d" % (img.getNpx(), img.getNpy())
print "img.npix = %d" % (img.getNpix())
print "img dimensions : ", img.getNaxis()

x = 1071
y = 2092

print "data[%d,%d] = %f" % (y, x, data[y,x])
print "img[%d,%d] = %f" % (x, y, img.getValue(x,y))
