%module Image
%{
#define SWIG_FILE_WITH_INIT
#include "Image.h"
%}

%include "numpy.i"
%include "typemaps.i"
%include "std_vector.i"

%template(ImageVector) std::vector<Image>;

%init %{
import_array();
%}

%apply (double *IN_ARRAY2, int DIM1, int DIM2) {(double* array, int n, int m)};
%apply int *OUTPUT { int *npx, int *npy };
%apply (float *ARGOUT_ARRAY1, int DIM1) {(float* oarray, int n)};

%include "Image.h"
