#include <math.h>
#include "rms.h"

double rms(double *seq, int n)
{
    int i;
    double s  = 0.0;
    double ss = 0.0;

    for (i = 0; i < n; i++) {
	s  += seq[i];
	ss += seq[i] * seq[i];
    }

    return sqrt((ss-s*s/n)/n);
}
