#include <math.h>
#include "stats.h"

double mean(double *array, int n, int m)
{
    int i;
    int npix;
    double s = 0.0;

    npix = n * m;

    for (i = 0; i < npix; i++) {
	s += array[i];
    }

    return (s/npix);
}

double std(double *array, int n, int m)
{
    int i;
    int npix;
    double s = 0.0;
    double ss = 0.0;

    npix = n * m;

    for (i = 0; i < npix; i++) {
	s  += array[i];
	ss += array[i] * array[i];
    }

    return sqrt((ss-s*s/npix)/npix);
}
