import pyfits
import ds9

hdulist = pyfits.open('../data/SUPA00207569.fits')
data = hdulist[0].data

ds9_targets = ds9.ds9_targets()
if  ds9_targets == None:
    d = ds9.ds9()
else:
    d = ds9.ds9(ds9_targets[0].split()[1])

cmd = 'array [ydim=%d,xdim=%d,bitpix=-32]' % (data.shape)
d.set(cmd, data)
