import pyfits
import ds9
import datetime

def mean(x):
    npy, npx = x.shape
    v = 0.0
    n = 0
    for j in range(npy):
        for i in range(npx):
            n += 1
            v += x[j,i]
    return (v/n)

hdulist = pyfits.open('../data/SUPA00207569.fits')
data = hdulist[0].data

t0 = datetime.datetime.now()
#print t0
print data.mean()
t1 = datetime.datetime.now()
print (t1-t0)

print 
t0 = datetime.datetime.now()
#print t0
print mean(data)
t1 = datetime.datetime.now()
print (t1-t0)
